### Function

# PangoXft.render_transformed

#### Declaration [src]

    void
    pango_xft_render_transformed (
      XftDraw* draw,
      XftColor* color,
      PangoMatrix* matrix,
      PangoFont* font,
      PangoGlyphString* glyphs,
      int x,
      int y
    )

#### Description [src]

Renders a `PangoGlyphString` onto a `XftDraw`, possibly transforming the layed-out coordinates through a transformation matrix. Note that the transformation matrix for `font` is not changed, so to produce correct rendering results, the `font` must have been loaded using a `PangoContext` with an identical transformation matrix to that passed in to this function.

#### Parameters

`draw` | `XftDraw*`
| an `XftDraw`
| Ownership is not transferred to the callee
`color` | `XftColor*`
| the color in which to draw the glyphs
| Ownership is not transferred to the callee
`matrix` | `PangoMatrix*`
| a `PangoMatrix`, or `NULL` to use an identity transformation
| Can be `NULL`
| Ownership is not transferred to the callee
`font` | `PangoFont*`
| the font in which to draw the string
| Ownership is not transferred to the callee
`glyphs` | `PangoGlyphString*`
| the glyph string to draw
| Ownership is not transferred to the callee
`x` | `int`
| the x position of the start of the string (in Pango units in user space coordinates)
`y` | `int`
| the y position of the baseline (in Pango units in user space coordinates)